Caura / docs
API Reference

Documents · Get and delete

GET and DELETE /api/v1/documents/{doc_id} — read or remove one document.

Pass the collection as a query parameter alongside the id.

GET
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/documents/string?tenant_id=string&collection=string"
{  "indexed": true,  "id": "string",  "tenant_id": "string",  "fleet_id": "string",  "collection": "string",  "doc_id": "string",  "data": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "agent_id": "string"}
DELETE
/api/v1/documents/{doc_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

doc_id*Doc Id

Query Parameters

tenant_id*Tenant Id
collection*Collection

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/documents/string?tenant_id=string&collection=string"
Empty